From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Wed, 16 Jun 93 09:21:19 EDT

>>> I have several questions on the DLUR document, and I am not sure if this
>>> is the right place to ask. If not, please direct me to the appropriate
>>> place.

    Yes, this is the right place.

>>> 1. Pg 6-3, last paragraph about PU CHAR.
>>>  (i) For downstream PU (i.e. non-DLUR attached PU), will the PU CHAR
>>>      still be sent? If so, does the DLUR then breaks it up to
>>>      different RU (RNAA, SETCV and ACTPU) to send to the PU?

    First, to make sure we're using the same terminology, I think of a
    downstream PU as one that is indeed DLUR-attached; it is physically
    attached to the DLUR node by some DLC connection.  A PU that is not
    downstream to the DLUR is one that is internal, in the same node
    as the DLUR.

    The DLUR node provides Boundary Function (BF) support similar to NCP's
    BF support for its downstream PUs.  PU CHAR is meant to emulate the
    Dynamic Reconfiguration (DR) support in VTAM and NCP.  When an NCP BF
    receives RNAA and SETCV it uses the information in those RUs to
    allocate and fill in a PU control block representing the downstream PU.
    It does not forward the RNAA and SETCV to the PU, only the ACTPU.

    Similarly, if a DLUR receives a PU CHAR control vector in a GDS
    variable encapsulating an ACTPU PIU, it can use that information, but
    it should not pass it on to the PU, only sending on the ACTPU PIU.

>>>  (ii) Does the DLUS only send the PU CHAR if the DLUS and PU belong to
>>>       different subarea network?

    The criteria should not be same or different subarea network, but
    rather like with Dynamic Reconfiguration, whether the PU has been
    pre-defined or dynamically defined.

>>> 2. Fig 6-9.
>>>  Does the "Session Outage Notification" that is sent by the DLUR go
>>>  on the LU-LU session between LUa and LUb ?

    I believe there are two flows, an UNBIND of the LUa-LUb session that
    flows on the LU-LU session and a SESSEND that is sent by the DLUR
    to its DLUS on the encapsulated SSCP-LU session.

>>> 3. Fig 6-10.
>>>  Since PU2 does not receive a DACTPU, is it duped into thinking that
>>>  its SSCP-PU session is still alive? Does SSCP-LU and SSCP-PU both have
>>>  to kept up to preserve the LU-LU session?

    The subarea BF parallel here is Auto Network Shutdown (ANS).  When an
    NCP BF loses connectivity with an SSCP, if an LU with an active LU-LU
    session has been defined with ANS=CONT, the BF resets the SSCP-PU and
    SSCP-LU sessions and keeps the LU-LU session active.  The NCP BF does
    not inform the PU of this event.  When the LU-LU session is deactivated,
    no further LU-LU sessions can be activated until new SSCP-PU and
    SSCP-LU sessions are activated.

    Another option which can be defined is ANS=STOP; in this case when the
    BF resets the SSCP-PU and SSCP-LU sessions, it also resets the active
    LU-LU session.

    These functions performed by the NCP BF should also be incorporated
    into the DLUR BF.

>>> /choon lee

    Hope this helps.

    Ed Tremblay